# Оформление directory listing сайта 

## Предпосылки

Для экспериментов в LLama.cpp мне где-то хранить GUFF-модели. Каждый раз тянуть их с
[Hugging Face](https://huggingface.co/models) -- долго, а держать все на локальном диске -- не рационально.
Поэтому я храню их на Synology внутри домашней сети. А чтобы было удобнее сделал к ним доступ по http (кстати,
LLama.cpp поддерживает загрузку моделей по http).

Унылый внешний вид доступа с directory listing мне надоел, и я решил сделать его более "веселеньким". Собственно,
данный репозиторий -- это реализация такой "раскраски" для доступа к файлам.

## Развертывание.

ВАЖНО: При создании веб службы (`⋮⋮ ⟶ Web Station ⟶ Веб-служба`) нужно выбрать Apache HTTP Server 2.4 (не Nginx).
Иначе не будет работать, а настроить directory listing в Nginx внутри Synology -- это просто не реально. Кстати,
по умолчанию, Apache HTTP Server не установлен, нужно сходить в `Центр пакетов ⟶ Все пакеты ⟶ Apache HTTP Server 2.4 `,
установить и запустить его.

Скопировать в корень файлы:
* `.htaccess`
* `style.css`
* `favicon.ico`

Все. При следующем обновлении страницы в браузере, вы увидите что-то вроде:

![screen-sample.png](screen-sample.png)

Можно поиграть со стилями в `style.css`, и настроить "красоту" под себя. 